org.springframework.cloud.dataflow.completion

## Interface ExpansionStrategy

- All Known Implementing Classes:
    ConfigurationPropertyValueHintExpansionStrategy, PipeIntoOtherAppsExpansionStrategy, UnfinishedAppNameExpansionStrategy

      public interface ExpansionStrategy

  Used to enhance a well formed stream definition by adding yet more text to it (e.g. adding more options to a module).
  Author:
    Eric Bottard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addProposals(String text, StreamDefinition streamDefinition, int detailLevel, List<CompletionProposal> collector)` For a given stream DSL text and `StreamDefinition`, Generate `CompletionProposal`s that apply (if any) and add them to the provided `collector` list Return `true` if no other strategies should be applied for the stream DSL text (this strategy make take the liberty to erase already collected proposals)

- - ### Method Detail

    - #### addProposals

          boolean addProposals(String text,
                               StreamDefinition streamDefinition,
                               int detailLevel,
                               List<CompletionProposal> collector)

      For a given stream DSL text and `StreamDefinition`,
      - Generate `CompletionProposal`s that apply (if any) and add them to the provided `collector` list
      - Return `true` if no other strategies should be applied for the stream DSL text (this strategy make take the liberty to erase already collected proposals)
      Parameters:
        `text` - DSL text for the stream
        `streamDefinition` - stream definition
        `detailLevel` - integer representing the amount of detail to include in the generated `CompletionProposal`s (higher values mean more details. typical range is [1..5])
        `collector` - list of `CompletionProposal`s to add/remove from if this strategy applies
      Returns:
        `true` if no other strategies should be applied for the stream DSL text

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.